Name:           perl-Digest
Version:        1.17
Release:        419
Summary:        Modules that calculate message digests
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/Digest-%{version}.tar.gz
Patch0001:      Digest-0.17-CVE-2016-1238-prevent-loading-optional-modules-from-.patch
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(Carp) perl(Exporter) perl(ExtUtils::MakeMaker) perl(MIME::Base64)
BuildRequires:  perl(lib) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(MIME::Base64)

%description
The Digest:: modules calculate digests, also called "fingerprints" or
"hashes", of some data, called a message. The digest is (usually)
some small/fixed size string. The actual size of the digest depend of
the algorithm used. The message is simply a sequence of arbitrary
bytes or bits.

%package_help

%prep
%autosetup -n Digest-%{version} -p1
chmod -x digest-bench

%build
%{__perl} Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
%{make_build}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc digest-bench README Changes
%{perl_vendorlib}/*

%files help
%{_mandir}/*/*

%changelog
* Sun Sep 29 2019 yefei <yefei25@huawei.com> - 1.17-419
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete irrelevant information

* Sat Sep 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.17-418
- Package init
